using UnityEngine;

public class Item 
{
	private string _name;
	private int _iD;
	private int _amount;
	private Texture2D _icon;
	private string _mesh;

	public void Init()
	{
		_iD = 0;
		_name = "UnKnown";

		_mesh = "Mesh Name";
	}
	public void Init(int iD,string name)
	{
		_iD = iD;
		_name = name;

	}
	public string Name
	{
		get{return _name;}
		set{_name = value;}
	}
	public int ID
	{
		get{return _iD;}
		set{_iD = value;}
	}

	public int Amount
	{
		get{return _amount;}
		set{_amount = value;}
	}
	public Texture2D Icon
	{
		get{return _icon;}
		set{_icon = value;}
	}
	public string MeshName
	{
		get{return _mesh;}
		set{_mesh = value;}
	}
}

